@import 'travel/config';

.search-form {
  &__input {
    position: relative;

    .control input:not(:focus) ~ .search-form__autocomplete-result {
      display: none;
    }
  }

  &__autocomplete-result {
    position: absolute;
    top: calc(100% + 1rem);

    width: calc(100%);
    padding: 1em 1.5em;

    background: white;
    border: 1px solid #3273dc;
    border-radius: 4px;
    box-shadow: 0 0 0 0.125em rgba(50, 115, 220, 0.25);
    z-index: 1;

    &:hover {
      display: block !important;
    }

    li {
      cursor: pointer;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;

      &:not(:last-child) {
        padding-bottom: 1em;
        border-bottom: 1px solid lighten($text-primary, 50%);
      }

      &:not(:first-child) {
        padding-top: 1em;
      }
    }
  }
}
